if ENABLE_VALA

valac=valac-0.56

bin_PROGRAMS = ayyi_add_track ayyi_add_audio_file ayyi_show_files

BUILT_SOURCES = ayyi_add_track.c ayyi_add_audio_file.c

VPKG = --pkg gdk-2.0 --pkg glib-2.0 --pkg gtk+-2.0 --pkg dbus-glib-1 --pkg ayyi --pkg model --pkg am_collection
vapidir = --vapidir=../../lib/ayyi/ayyi --vapidir=../../lib/ayyi/model/vapi --vapidir=../../lib/debug

ayyi_add_track.c:
	$(valac) -C --basedir $(top_srcdir) $(VPKG) --pkg ayyi_client_app --pkg debug --vapidir=. $(vapidir) ayyi_add_track.vala;

ayyi_add_audio_file.c: ayyi_add_audio_file.vala
	$(valac) -C --basedir $(top_srcdir) $(VPKG) --pkg ayyi_client_app --pkg debug --vapidir=. $(vapidir) ayyi_add_audio_file.vala;

ayyi_show_files.c: ayyi_show_files.vala
	$(valac) -C --basedir $(top_srcdir) $(VPKG) --pkg ayyi_client_app --pkg debug --vapidir=. $(vapidir) ayyi_show_files.vala

ayyi_add_track_SOURCES = \
	ayyi_add_track.c \
	ayyi_client_app.c ayyi_client_app.h

ayyi_add_audio_file_SOURCES = \
	ayyi_add_audio_file.c \
	ayyi_client_app.c ayyi_client_app.h

ayyi_show_files_SOURCES = \
	ayyi_show_files.c \
	ayyi_client_app.c ayyi_client_app.h

# Example of compilation in one go without intermediate c files.
# A pc file is overridden because vala ignores AM_CFLAGS and CFLAGS and does not load pc files for the local packages
# - add flags to dbus-glib-1.pc
ayyi_show_files$(EXEEXT): ayyi_show_files.vala
	PKG_CONFIG_PATH=. $(valac) --basedir $(top_srcdir) $(VPKG) $(vapidir) ayyi_client_app.vala ayyi_show_files.vala -o $(abs_builddir)/ayyi_show_files

ayyi_show_tracks$(EXEEXT): ayyi_show_tracks.vala
	PKG_CONFIG_PATH=. $(valac) --basedir $(top_srcdir) $(VPKG) $(vapidir) ayyi_client_app.vala ayyi_show_tracks.vala -o $(abs_builddir)/ayyi_show_tracks

ayyi_show_parts$(EXEEXT): ayyi_show_parts.vala
	PKG_CONFIG_PATH=. $(valac) --basedir $(top_srcdir) $(VPKG) $(vapidir) ayyi_client_app.vala ayyi_show_parts.vala -o $(abs_builddir)/ayyi_show_parts

ayyi_add_part$(EXEEXT): ayyi_add_part.vala
	PKG_CONFIG_PATH=. $(valac) --basedir $(top_srcdir) $(VPKG) $(vapidir) ayyi_client_app.vala ayyi_add_part.vala -o $(abs_builddir)/ayyi_add_part

ayyi_show_connections$(EXEEXT): ayyi_show_connections.vala
	PKG_CONFIG_PATH=. $(valac) -v --basedir $(top_srcdir) $(VPKG) $(vapidir) ayyi_client_app.vala ayyi_show_connections.vala -o $(abs_builddir)/ayyi_show_connections

# unfortunately the vala generated c code does not compile without warnings
CFLAGS = -g -Wall -Wno-error -Wno-discarded-qualifiers -Wno-unused-but-set-variable -O2

AM_CFLAGS = \
	-Wno-discarded-qualifiers \
	-Wno-unused-but-set-variable \
	-Wno-unused-variable \
	-Wno-incompatible-pointer-types \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/lib \
	-I$(top_srcdir)/lib/ayyi \
	-I$(top_srcdir)/lib/waveform \
	$(GTK_CFLAGS) \
	$(LIBRSVG_INCLUDES) \
	$(FREETYPE_CFLAGS) \
	$(DBUS_CFLAGS)

LDADD = \
	$(top_srcdir)/lib/ayyi/.libs/libayyi.a \
	${top_srcdir}/lib/debug/.libs/libayyidebug.a \
	${top_srcdir}/lib/waveform/.libs/libwaveformcore.a \
	$(GTK_LDFLAGS) \
	$(GLIB_LDFLAGS) \
	$(DBUS_LDFLAGS) \
	$(FILE_MANAGER_LDFLAGS) \
	$(FFMPEG_LDFLAGS) \
	$(BEAST_LIBS) \
	$(SNDFILE_LIBS) \
	$(MATH_LDFLAGS)

else
am__ayyi_add_audio_file_SOURCES_DIST =
am__ayyi_add_track_SOURCES_DIST =
am__ayyi_show_files_SOURCES_DIST =
endif

EXTRA_DIST = \
	ayyi_client_app.vala
	ayyi_add_track.vala
	ayyi_add_audio_file.vala
